Referenceorgs
Create an organization
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orgs" \ -H "Content-Type: application/json" \ -d '{ "handle": "string", "displayName": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "displayName": "string", "avatarUrl": "string", "createdAt": "2019-08-24T14:15:22Z", "viewerRole": "owner"}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "PLAN_LIMIT", "status": 402, "message": "This action exceeds your plan's limits.", "data": { "limit": "string", "current": 0, "max": 0, "planId": "string", "orgHandle": "string", "suggestedPlanId": "string" }}{ "defined": true, "code": "CONFLICT", "status": 409, "message": "The request conflicts with the current state.", "data": { "reason": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}